import 'package:flutter_translate/common/utils/date_utils.dart';

const appName = 'Easy translation';

/// 广告开关，默认关
const adSwitch = false;

/// 保底逻辑：本地设定截止日期（提交日期+3天，网络时间超过，则默认展示所有广告）
DateTime getGuaranteedDate () {
  DateTime? commitDate = DateUtils.getDateTime('2024-08-15 18:00:00');
  if (commitDate != null) {
    return commitDate.add(const Duration(days: 3));
  } else {
    return DateTime.now();
  }
}